{
  "name": "player",
  "description": "Player",
  "version": "1.0.0",
  "private": true,
  "main": "electron_main.js",
  "dependencies": {
    "@types/node": "^14.14.31",
    "@types/react": "^17.0.2",
    "@types/react-dom": "^17.0.1",
    "@types/react-router-dom": "^5.1.7",
    "@types/styled-components": "^5.1.7",
    "csv-writer": "^1.6.0",
    "react": "^17.0.1",
    "react-alert": "^7.0.2",
    "react-alert-template-basic": "^1.0.0",
    "react-confirm-alert": "^2.7.0",
    "react-dom": "^17.0.1",
    "react-numeric-input": "^2.2.3",
    "react-router-dom": "^5.2.0",
    "react-spinners": "^0.10.6",
    "react-toggle-component": "^3.0.8",
    "react-xml-parser": "^1.1.8",
    "styled-components": "^5.2.1",
    "webgl-video-renderer": ">=0.2.0"
  },
  "scripts": {
    "dev": "concurrently --kill-other \"yarn build\" \"yarn start\" ",
    "start": "cross-env DEV=1 .\\node_modules\\electron\\dist\\electron.exe electron_main.js",
    "package64": "yarn build64 & electron-packager . Player-release --overwrite --arch=x64 --electron-version=12.0.9",
    "package32": "yarn build32 & electron-packager . Player-release --overwrite --arch=ia32 --electron-version=12.0.9",
    "build64": "webpack --config webpack.config.js --color & copy index.html dist\\index.html & xcopy src\\lib\\webchimera.js_x64 node_modules\\webchimera.js /E /I /Y ",
    "build32": "webpack --config webpack.config.js --color & copy index.html dist\\index.html & xcopy src\\lib\\webchimera.js_x86 node_modules\\webchimera.js /E /I /Y ",
    "server": "webpack serve --config webpack.config.js --mode=development"
  },
  "cmake-js": {
    "runtime": "nw",
    "runtimeVersion": "0.16.0"
  },
  "env": "development",
  "devDependencies": {
    "@babel/core": "^7.12.3",
    "@babel/preset-env": "^7.12.1",
    "@babel/preset-react": "^7.12.13",
    "add": "^2.0.6",
    "babel-loader": "^8.2.1",
    "babel-preset-env": "^1.7.0",
    "concurrently": "^7.0.0",
    "cross-env": "^7.0.3",
    "css-loader": "^5.0.1",
    "electron": "12.0.9",
    "electron-packager": "^15.4.0",
    "electron-react-devtools": "^0.5.3",
    "electron-reloader": "^1.2.0",
    "electron-winstaller": "3.0.0",
    "file-loader": "^6.2.0",
    "html-webpack-plugin": "^2.30.1",
    "node-loader": "^1.0.2",
    "rimraf": "^2.6.2",
    "style-loader": "^2.0.0",
    "ts-loader": "^8.0.17",
    "typescript": "^4.1.5",
    "uglifyjs-webpack-plugin": "^1.2.0",
    "webpack": "^5.68.0",
    "webpack-cli": "^4.8.0",
    "webpack-dev-server": "^3.11.2",
    "webpack-merge": "^4.1.1",
    "yarn": "^1.22.10"
  }
}
